$ SET NOVERIFY
$ ON ERROR THEN EXIT
$ !
$ !  FLS.COM  --  Command file to submit a batch FORTRAN compile and LINK
$ !           --  Modify to accept link qualifiers       April 4, 1988
$ !           --  Mod to accept version numbers  6/26/89
$ !   by Art Ragosta                                     October 24, 1984
$ !
$ ! UserID for SEND command
$ !
$  USER = F$GETJPI("","USERNAME")
$ !
$ ! Source file name
$ !
$  IF P1 .NES. "" THEN GOTO POK
$NOP:
$  INQUIRE P1 "Filename"
$  IF P1 .EQS. "" THEN GOTO NOP
$POK:
$ !
$ ! Subdirectory name
$ !
$ DEF = F$ENVIRONMENT("DEFAULT")
$ DEV = F$PARSE ( P1,DEF+".FOR",,"DEVICE")
$ DIR = F$PARSE ( P1,DEF+".FOR",,"DIRECTORY")
$ NAME = F$PARSE (P1,DEF+".FOR",,"NAME")
$ TYPE = F$PARSE (P1,DEF+".FOR",,"TYPE")
$ VERS = F$PARSE (P1,DEF+".FOR",,"VERSION")
$ !
$ !  Check to make sure filename is not ""
$ !
$ IF NAME .EQS. "" 
$   THEN
$   WRITE SYS$OUTPUT "%FS-E-NOFILE, no file specified."
$   EXIT
$ ENDIF
$ !
$ !  Log file name
$ !
$ LFILE = DEV + DIR + NAME + ".LOG" + VERS
$ !
$  QNAME = "BAT$MEDIUM"
$  F_FLAGS = "/NOLIST"
$  L_FLAGS = "/NOMAP"
$  I = 2
$ !
$ ! Check parameters for FORTRAN qualifiers, LINK qualifiers, and QUEUE
$LOOP:
$  PP = P'I'
$  AA = "''PP'"
$  LA = F$LENGTH(AA)
$  IF LA .EQ. 0 THEN GOTO SUB
$  IF AA .NES. "SHORT" THEN GOTO LONG
$  P'I' = ""
$  QNAME = "SYS$BATCH"
$  GOTO NONE
$LONG:
$  IF AA .NES. "LONG" THEN GOTO XLONG
$  P'I' = ""
$  QNAME = "BAT$LONG"
$  GOTO NONE
$XLONG: 
$  IF AA .NES. "XLONG" THEN GOTO FLAGS
$  P'I' = ""
$  QNAME = "BAT$XLONG"
$  GOTO NONE
$FLAGS:
$  IF F$LOCATE("CROSS",AA) .EQ. LA THEN GOTO NOCROSS
$  L_FLAGS = L_FLAGS + "/CROSS"
$  F_FLAGS = F_FLAGS + "/CROSS"
$  GOTO NONE
$NOCROSS:
$  IF F$LOCATE("DEBUG",AA) .EQ. LA THEN GOTO NOBUG
$  IF F$LOCATE("=",AA) .EQ. LA THEN GOTO NOEQUAL
$  F_FLAGS = F_FLAGS + F$EDIT(AA,"TRIM")
$  GOTO NONE
$NOEQUAL:
$  F_FLAGS = F_FLAGS + "/DEBUG/NOOPT"
$  L_FLAGS = L_FLAGS + "/DEBUG"
$  GOTO NONE
$NOBUG:
$  IF F$LOCATE("MAP",AA) .EQ. LA THEN GOTO NOMAP
$  IF F$LOCATE("NOMAP",AA) .NE. LA THEN GOTO NONE
$  L_FLAGS = L_FLAGS - "/NOMAP" + "/MAP"
$  GOTO NONE
$NOMAP:
$  IF F$LOCATE("LIST",AA) .EQ. LA THEN GOTO NOLIST
$  IF F$LOCATE("NOLIST",AA) .NE. LA THEN GOTO NONE
$  F_FLAGS = F_FLAGS - "/NOLIST" + "/LIST"
$  GOTO NONE
$NOLIST:
$  F_FLAGS = F_FLAGS + "''AA'"
$NONE:
$  I = I + 1
$  IF I .LE. 9 THEN GOTO LOOP
$ !
$SUB:
$ SUBMIT/PARAM=("''NAME'''VERS'",'USER','DEF',"''F_FLAGS'","''L_FLAGS'") -
   /QUE='QNAME'/LOG='LFILE' MERLIN:FORTLSUB.COM
