      PROGRAM VMSFORT
C*
C*     CONVERT A VMS INTERNAL FORMAT FILE TO A FORTRAN FORMAT FILE...
C*      I.E., ONE WITH CARRIAGE CONTROL CHARACTERS.
C*
      CHARACTER *132 LINE
      CHARACTER *80 P(2), Q(2), FILIST
      CHARACTER *40 NEWFILE
      CHARACTER *1 FF, LF
      DATA NREAD,NWRITE,NIN,NOUT /60,61,5,6/
C
      FF = CHAR(12)
      LF = CHAR(10)
      CALL GETFOR (NQ,Q,NP,P)
      IF (NP .EQ. 0) THEN
         WRITE(NOUT,910)
         READ(NIN,900) FILIST
         IF (FILIST .EQ. ' ') STOP
      ELSE
         FILIST = P(1)
         IF (NP .GT. 1) WRITE(NOUT,920)
      ENDIF
5     CALL GETFILE (FILIST, NEWFILE)
      IF (NEWFILE .NE. ' ') THEN
         I = INDEX(NEWFILE,';')
         WRITE(NOUT,925) NEWFILE
         OPEN(UNIT=NREAD,FILE=NEWFILE,STATUS='OLD',ERR=1000)
         NEWFILE = NEWFILE(1:I-1)
         OPEN(UNIT=NWRITE,FILE=NEWFILE,STATUS='NEW',DISPOSE='DELETE')
10       READ(NREAD,900,END=100)LINE
         LL = LENGTH ( LINE )
         IF (LL .LT. 2)LL = 2
         IF (LINE(1:1) .EQ. FF) THEN
             WRITE(NWRITE,901)LINE(2:LL)
         ELSE IF (LINE(1:1) .EQ. LF) THEN
             WRITE(NWRITE,902)LINE(2:LL)
         ELSE
             WRITE(NWRITE,903)LINE(1:LL)
         ENDIF
         GO TO 10
100      CLOSE(NREAD)
         CLOSE(NWRITE,STATUS='KEEP')
         GO TO 5
      ENDIF
      STOP
C
1000  WRITE(NOUT,930) NEWFILE
      STOP
900   FORMAT(A)
901   FORMAT('1',A)
902   FORMAT('0',A)
903   FORMAT(' ',A)
910   FORMAT(' Please enter a filename : ',$)
920   FORMAT(' *** Extra parameters ignored')
925   FORMAT(' Processing file ',A)
930   FORMAT(' *** ERROR OPENING FILE ',A)
      END
