$ SET NOVERIFY
$ !
$ ! -------------------------------------------------------
$ !
$ !  BATCH BUGOUT                              BATCH BUGOUT
$ !
$ !         BUGOUT FORTRAN DEBUGGING PROGRAM...
$ !         SEE DOCUMENT:BUGOUT.DOC FOR DETAILS.
$ !
$ ! -------------------------------------------------------
$ ON ERROR THEN GOTO OUT
$ SET DEFAULT 'P3'
$ CREATE BUGOUT.OUT
$ IF 'P5' .EQ. 0 THEN GOTO FIL
$ c = f$extract(19,1,"''f$time()'")
$ if f$locate("''c'","02468") .eq. 5
$ then
$    append merlin:bugout. bugout.out
$ else
$    append merlin:bug_out. bugout.out
$ endif
$FIL:
$ FILE = F$SEARCH("BUGOUT.OUT")
$ VERSION = F$PARSE(FILE,,,"VERSION")
$ DIRECTORY/DATE/OUT='P1'.DRR 'P6'
$ ASSIGN 'P1'.DRR FOR090
$ !
$ ! CHECK FOR NON-DEFAULT OPTIONS
$ !
$ IF P4 .NES. "" THEN GOTO USER
$ ASSIGN SYS$SYSTEM:OPTIONS.DAT FOR091
$ GOTO CONT
$USER:
$ ASSIGN 'P4' FOR091
$CONT:
$ !
$ ! PREBUG STEP
$ !
$ ASSIGN 'P6' FOR092
$ ASSIGN 'P1'.PRB FOR093
$ ASSIGN BUGOUT.FOR FOR094
$ ASSIGN 'P1'.PRS FOR096
$ RUN SYS$SYSTEM:PREBUG
$ ON ERROR THEN GOSUB CONTIN
$ APPEND 'P1'.PRS BUGOUT.OUT'VERSION'
$ APPEND 'P1'.PRB BUGOUT.OUT'VERSION'
$ ON ERROR THEN GOSUB FERROR
$ !
$ ! FORT STEP
$ !
$ FORTRAN/LIST/CROSS/CHECK=BOUNDS/CONT=50 BUGOUT.FOR
$ ON ERROR THEN GOTO OUT
$ !
$ ! POSTBUG STEP
$ !
$ DEASSIGN FOR094
$ DEASSIGN FOR096
$ ASSIGN/NOLOG 'P1'.POB FOR093
$ ASSIGN 'P1'.POV FOR097
$ ASSIGN/NOLOG BUGOUT.LIS FOR094
$ ASSIGN/NOLOG 'P1'.POS FOR096
$ ASSIGN 'P1'.DIC FOR098
$ RUN SYS$SYSTEM:POSTBUG
$ ON ERROR THEN GOSUB CONTIN
$ APPEND 'P1'.POS BUGOUT.OUT'VERSION'
$ APPEND 'P1'.POB BUGOUT.OUT'VERSION'
$ APPEND 'P1'.POV BUGOUT.OUT'VERSION'
$ IF BUG_DV .NES. "0" THEN $APPEND 'P1'.DIC BUGOUT.OUT'VERSION'
$ OPEN/APPEND FILE BUGOUT.OUT'VERSION'
$ WRITE FILE ""
$ WRITE FILE ""
$ WRITE FILE ""
$ WRITE FILE ""
$ WRITE FILE " *+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*
$ WRITE FILE " *+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+* END OF BUGOUT RUN *+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*
$ WRITE FILE " *+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*
$ CLOSE FILE
$ DEASSIGN FOR090
$ DEASSIGN FOR091
$ DEASSIGN FOR092
$ DEASSIGN FOR093
$ DEASSIGN FOR094
$ DEASSIGN FOR096
$ DEASSIGN FOR097
$ DEASSIGN FOR098
$ !
$ DELETE 'P1'.DRR;*,BUGOUT.LIS;*
$ DELETE 'P1'.PRS;*,'P1'.PRB;*,'P1'.POS;*,'P1'.POB;*,'P1'.POV;*
$ IF BUG_DV .EQS. "0" THEN GOTO OUT
$ DELETE 'P1'.DIC'BUG_DV'
$OUT:       
$ ON ERROR THEN GOTO OUT1
$ IF 'P5' .EQ. 0 THEN GOTO OUT1
$ PRINT/QUE=SYS$PRINT/DELETE BUGOUT.OUT'VERSION'
$OUT1:
$ ON ERROR THEN EXIT
$ SEND/ANON 'P2' "Your BUGOUT run is complete."
$ EXIT
$ !
$ ! RESET ERROR CONDITION
$ !
$CONTIN:
$ ON ERROR THEN GOSUB CONTIN
$ RETURN
$FERROR:
$ OPEN/APPEND FILE BUGOUT.OUT'VERSION'
$ WRITE FILE " "
$ WRITE FILE " "
$ WRITE FILE " "
$ WRITE FILE " #################################################################"
$ WRITE FILE " #################################################################"
$ WRITE FILE " "
$ WRITE FILE "       There were errors in the FORTRAN step of BUGOUT. "
$ WRITE FILE "       This may result in errors in the POSTBUG step. "
$ WRITE FILE "       Please correct FORTRAN errors and try again. "
$ WRITE FILE "       Attempting POSTBUG step anyway. "
$ WRITE FILE " "
$ WRITE FILE " #################################################################"
$ WRITE FILE " #################################################################"
$ WRITE FILE " "
$ CLOSE FILE
$ RETURN
